## org.eclipse.datatools.sqltools.sql.parser.util
Class Messages

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.util.Messages

    public class Messages

extends java.lang.Object

Author:
  Hui Cao

Method Summary
`static java.util.Locale` `getLocale()` Return the Locale that is loaded during startup
`static java.lang.String` `getString(java.lang.String key)`
`static java.lang.String` `getString(java.lang.String key, java.lang.Object[] args)`
`static java.lang.String` `getString(java.lang.String key, java.lang.String arg0)`
`static java.lang.String` `getString(java.lang.String key, java.lang.String arg0, java.lang.String arg1)`
`static java.lang.String` `getString(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static java.lang.String getString(java.lang.String key)

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.String arg0)

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.String arg0,
                                             java.lang.String arg1)

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.String arg0,
                                             java.lang.String arg1,
                                             java.lang.String arg2)

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.Object[] args)

### getLocale

    public static java.util.Locale getLocale()

  Return the Locale that is loaded during startup